SDL_ResetHint(3)

NAME
SDL_ResetHint - Reset a hint to the default value.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_ResetHint(const char *name);

DESCRIPTION
This will reset a hint to the value of the environment variable, or NULL if the environment isn't set. Callbacks will be called normally with this change.

FUNCTION PARAMETERS

name
    the hint to set

RETURN VALUE
Returns SDL_TRUE
 if the hint was set, SDL_FALSE otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetHint(3), SDL_ResetHints(3)